---
title: rDWS Video Endpoints
slug: develop/rdws-video-endpoints
docTags: 
createdAt: 2025-03-11T07:03:33.433Z
---

Base URL for these endpoints:  ***https\://ws.bsn.cloud/rest/v1/***

*\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_*

## GET /video-mode/ 

Retrieves the currently active video mode on the player

**Request Example**

```text
GET /rest/v1/video-mode/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Response Body**

- `width` <font color="#704ae0">int</font>: The screen width
- `height` <font color="#704ae0">int</font>: The screen height
- `frames` <font color="#704ae0">int</font>: The framerate
- `scan` <font color="#704ae0">string</font>: The scan method of the video signal, which can be either progressive ("p") or interlaced ("i")
- `name` <font color="#704ae0">string</font>: The full name of the video mode (a full list of modes can be found on [this page](docId\:QpML112mBhEK7LBDGUxnv))
- `isAutoMode` <font color="#704ae0">bool</font>: A flag indicating whether the video mode was set using auto mode
- `mode` <font color="#704ae0">mode{ }</font>: A Mode object that gives additional information about the video output. This object can contain the following properties:
  - `preferred` <font color="#704ae0">bool</font>: A flag indicating whether the video mode is the preferred mode
  - `overscan` <font color="#704ae0">bool</font>: A flag indicating whether the video output is using an overscan setting or not
  - `modeName` <font color="#704ae0">string</font>: The full name of the video mode (a full list of modes can be found on [this page](docId\:QpML112mBhEK7LBDGUxnv))
  - `interlaced` <font color="#704ae0">bool</font>: A flag indicating whether the video output is interlaced (`true`) or progressive (`false`)
  - `width` <font color="#704ae0">int</font>: The width of the video output
  - `height` <font color="#704ae0">int</font>: The height of the video output
  - `graphicsPlaneWidth` <font color="#704ae0">int</font>: The width of the graphics plane 
  - `graphicsPlaneHeight` <font color="#704ae0">int</font>: The height of the graphics plane
  - `frequency` <font color="#704ae0">int</font>: The frame rate of the video output
  - `dropFrame` <font color="#704ae0">bool</font>: A flag indicating whether the video timecode utilizes drop frames
  - `colorSpace` <font color="#704ae0">string</font>: The color space of the video signal ("rgb", "yuv420", or "yuv422")
  - `colorDepth` <font color="#704ae0">string</font>: The color depth of the video signal ("8bit", "10bit", or "12bit")

**Response Example**

```json
{
    "route": "/v1/video-mode",
    "method": "GET",
    "data": {
        "result": {
            "isAutoMode": false,
            "name": "640x480x60p",
            "width": "640",
            "height": "480",
            "frames": "60",
            "scan": "p",
            "mode": {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 480,
                "graphicsPlaneWidth": 640,
                "height": 480,
                "interlaced": false,
                "modeName": "640x480x60p",
                "overscan": false,
                "preferred": false,
                "width": 640
            }
        }
    }
}
```

## GET /video/\{:connector}/output/\{:device}/ 

Retrieves information about the specified video output

**Segments**

- `connector`: The current value is always `hdmi`
- `device`: This value in /video/ URLs is currently `0` for single-output Series 5 players and all Series 4 and older players. The value can be `0`-`3` for the XC4055, which has multiple outputs, and `0` or `1` for the XC2055 and XT2145.

**Request Example**

```text
GET /rest/v1/video/hdmi/output/0/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Response Body**

The following fields will be present in the response:

- `activeMode`: Information about the active video mode on the player
- `attached` <font color="#704ae0">bool</font>: Indicates if the HDMI® output is attached or not
- `bestMode` <font color="#704ae0">string</font>: The best video mode for the player. The HDMI connector must be attached because it gets details from EDID result.
- `configuredMode`: The configured video mode on the player. This can be different than activeMode.
- `edid` <font color="#704ae0">string</font>: Returns the EDID read string of the display connected to the player. If power save is on, zeroes will be returned
- `edid_identity`: Parses the above string in a JSON format for readability. Requires an HDMI output connected to the player and a display.
- `modes`: List of all available video modes on the player.
- `powerSaveStatus` <font color="#704ae0">bool</font>: Indicates the power save status of the display connected to the player.
- `resolutions` <font color="#704ae0">resolutions[ ]</font>: An array of information about the graphics, output, video resolution. Returns result values for height and width.
- `status`:
  - `audioBitsPerSample` <font color="#704ae0">int</font>: The number of bits per audio sample
  - `audioChannelCount` <font color="#704ae0">int</font>: The number of audio channels in the output
  - `audioFormat` <font color="#704ae0">string</font>: The format of the audio output. A "PCM" value indicates that the player is sending decoded output.
  - `audioSampleRate` <font color="#704ae0">int</font>: The audio sample rate (in hertz)
  - `eotf` <font color="#704ae0">string</font>: The current electro-optical transfer function (EOTF) used by the display. The following are possible values:
    - "HDR (GAMMA)"
    - "SDR (GAMMA)"
    - "SMPTE 2084 (PQ)"
    - "Future (BBC/NHK)"
    - "unspecified"
  - `outputPowered` <font color="#704ae0">bool</font>: Indicates if the display device is on (i.e. RX powered) 
  - `outputPresent` <font color="#704ae0">bool</font>: Indicates if the HDMI output is connected to a display device or not.
  - `unstable` <font color="#704ae0">bool</font>: Indicates if the display signal is unstable or stable

**Response Example**

:::ExpandableHeading
Expand

```json
{
    "route": "/v1/video/hdmi/output/0/",
    "method": "GET",
    "data": {
        "result": {
            "resolutions": {
                "video": {
                    "result": {
                        "height": 1080,
                        "width": 1920
                    }
                },
                "graphics": {
                    "result": {
                        "height": 1080,
                        "width": 1920
                    }
                },
                "output": {
                    "result": {
                        "height": 1080,
                        "width": 1920
                    }
                }
            },
            "edid_identity": {
                "result": {
                    "bt2020RgbSupport": false,
                    "bt2020YccSupport": false,
                    "hdrEotfSupport": false,
                    "hdrSt2084Support": false,
                    "manufacturer": "SAM",
                    "monitorName": "SAMSUNG",
                    "product": 1293,
                    "sdrEotfSupport": false,
                    "serialNumber": 1,
                    "serialNumberString": "",
                    "textString": "",
                    "weekOfManufacture": 48,
                    "yearOfManufacture": 2008
                }
            },
            "edid": {
                "result": "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"
            },
            "attached": {
                "result": true
            },
            "status": {
                "result": {
                    "audioBitsPerSample": 0,
                    "audioChannelCount": 0,
                    "audioFormat": "Unknown",
                    "audioSampleRate": 0,
                    "outputPowered": true,
                    "outputPresent": true
                }
            },
            "TxHdcpStatus": {
                "result": {
                    "state": "not-required"
                }
            },
            "modes": {
                "result": [
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 480,
                        "graphicsPlaneWidth": 640,
                        "height": 480,
                        "interlaced": false,
                        "modeName": "640x480x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 640
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 30,
                        "graphicsPlaneHeight": 480,
                        "graphicsPlaneWidth": 720,
                        "height": 480,
                        "interlaced": true,
                        "modeName": "720x480x60i",
                        "overscan": true,
                        "preferred": false,
                        "width": 720
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 25,
                        "graphicsPlaneHeight": 576,
                        "graphicsPlaneWidth": 720,
                        "height": 576,
                        "interlaced": true,
                        "modeName": "720x576x50i",
                        "overscan": true,
                        "preferred": false,
                        "width": 720
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 480,
                        "graphicsPlaneWidth": 848,
                        "height": 480,
                        "interlaced": false,
                        "modeName": "848x480x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 848
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 600,
                        "graphicsPlaneWidth": 800,
                        "height": 600,
                        "interlaced": false,
                        "modeName": "800x600x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 800
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 75,
                        "graphicsPlaneHeight": 600,
                        "graphicsPlaneWidth": 800,
                        "height": 600,
                        "interlaced": false,
                        "modeName": "800x600x75p",
                        "overscan": false,
                        "preferred": false,
                        "width": 800
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 960,
                        "graphicsPlaneWidth": 960,
                        "height": 960,
                        "interlaced": false,
                        "modeName": "960x960x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 960
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 768,
                        "graphicsPlaneWidth": 1024,
                        "height": 768,
                        "interlaced": false,
                        "modeName": "1024x768x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1024
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 75,
                        "graphicsPlaneHeight": 768,
                        "graphicsPlaneWidth": 1024,
                        "height": 768,
                        "interlaced": false,
                        "modeName": "1024x768x75p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1024
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 768,
                        "graphicsPlaneWidth": 1280,
                        "height": 768,
                        "interlaced": false,
                        "modeName": "1280x768x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 800,
                        "graphicsPlaneWidth": 1280,
                        "height": 800,
                        "interlaced": false,
                        "modeName": "1280x800x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 75,
                        "graphicsPlaneHeight": 800,
                        "graphicsPlaneWidth": 1280,
                        "height": 800,
                        "interlaced": false,
                        "modeName": "1280x800x75p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 768,
                        "graphicsPlaneWidth": 1360,
                        "height": 768,
                        "interlaced": false,
                        "modeName": "1360x768x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1360
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1280,
                        "graphicsPlaneWidth": 800,
                        "height": 1280,
                        "interlaced": false,
                        "modeName": "800x1280x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 800
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1920,
                        "graphicsPlaneWidth": 1200,
                        "height": 1920,
                        "interlaced": false,
                        "modeName": "1200x1920x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1200
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 768,
                        "graphicsPlaneWidth": 1366,
                        "height": 768,
                        "interlaced": false,
                        "modeName": "1366x768x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1366
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 960,
                        "graphicsPlaneWidth": 1280,
                        "height": 960,
                        "interlaced": false,
                        "modeName": "1280x960x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1024,
                        "graphicsPlaneWidth": 1280,
                        "height": 1024,
                        "interlaced": false,
                        "modeName": "1280x1024x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 75,
                        "graphicsPlaneHeight": 1024,
                        "graphicsPlaneWidth": 1280,
                        "height": 1024,
                        "interlaced": false,
                        "modeName": "1280x1024x75p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 900,
                        "graphicsPlaneWidth": 1440,
                        "height": 900,
                        "interlaced": false,
                        "modeName": "1440x900x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1440
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 75,
                        "graphicsPlaneHeight": 900,
                        "graphicsPlaneWidth": 1440,
                        "height": 900,
                        "interlaced": false,
                        "modeName": "1440x900x75p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1440
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1050,
                        "graphicsPlaneWidth": 1400,
                        "height": 1050,
                        "interlaced": false,
                        "modeName": "1400x1050x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1400
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 75,
                        "graphicsPlaneHeight": 1050,
                        "graphicsPlaneWidth": 1400,
                        "height": 1050,
                        "interlaced": false,
                        "modeName": "1400x1050x75p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1400
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1440,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "1440x1080x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1440
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1088,
                        "graphicsPlaneWidth": 1440,
                        "height": 1088,
                        "interlaced": false,
                        "modeName": "1440x1088x57p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1440
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 30,
                        "graphicsPlaneHeight": 1024,
                        "graphicsPlaneWidth": 768,
                        "height": 2048,
                        "interlaced": false,
                        "modeName": "1536x2048x30p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1536
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 900,
                        "graphicsPlaneWidth": 1600,
                        "height": 900,
                        "interlaced": false,
                        "modeName": "1600x900x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1600
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1200,
                        "graphicsPlaneWidth": 1600,
                        "height": 1200,
                        "interlaced": false,
                        "modeName": "1600x1200x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1600
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1050,
                        "graphicsPlaneWidth": 1680,
                        "height": 1050,
                        "interlaced": false,
                        "modeName": "1680x1050x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1680
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1296,
                        "graphicsPlaneWidth": 1728,
                        "height": 1296,
                        "interlaced": false,
                        "modeName": "1728x1296x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1728
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 540,
                        "graphicsPlaneWidth": 1920,
                        "height": 540,
                        "interlaced": false,
                        "modeName": "1920x540x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 50,
                        "graphicsPlaneHeight": 1200,
                        "graphicsPlaneWidth": 1920,
                        "height": 1200,
                        "interlaced": false,
                        "modeName": "1920x1200x50p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1200,
                        "graphicsPlaneWidth": 1920,
                        "height": 1200,
                        "interlaced": false,
                        "modeName": "1920x1200x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 672,
                        "graphicsPlaneWidth": 896,
                        "height": 1344,
                        "interlaced": false,
                        "modeName": "1792x1344x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1792
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 960,
                        "graphicsPlaneWidth": 960,
                        "height": 1920,
                        "interlaced": false,
                        "modeName": "1920x1920x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 50,
                        "graphicsPlaneHeight": 576,
                        "graphicsPlaneWidth": 1024,
                        "height": 1152,
                        "interlaced": false,
                        "modeName": "2048x1152x50p",
                        "overscan": false,
                        "preferred": false,
                        "width": 2048
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 576,
                        "graphicsPlaneWidth": 1024,
                        "height": 1152,
                        "interlaced": false,
                        "modeName": "2048x1152x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 2048
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 288,
                        "graphicsPlaneWidth": 2376,
                        "height": 288,
                        "interlaced": false,
                        "modeName": "2376x288x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 2376
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 800,
                        "graphicsPlaneWidth": 2560,
                        "height": 800,
                        "interlaced": false,
                        "modeName": "2560x800x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 2560
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 480,
                        "graphicsPlaneWidth": 1280,
                        "height": 960,
                        "interlaced": false,
                        "modeName": "2560x960x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 2560
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 540,
                        "graphicsPlaneWidth": 1280,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "2560x1080x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 2560
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 30,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1280,
                        "height": 1440,
                        "interlaced": false,
                        "modeName": "2560x1440x30p",
                        "overscan": false,
                        "preferred": false,
                        "width": 2560
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1280,
                        "height": 1440,
                        "interlaced": false,
                        "modeName": "2560x1440x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 2560
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 800,
                        "graphicsPlaneWidth": 1280,
                        "height": 1600,
                        "interlaced": false,
                        "modeName": "2560x1600x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 2560
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 30,
                        "graphicsPlaneHeight": 1024,
                        "graphicsPlaneWidth": 1536,
                        "height": 2048,
                        "interlaced": false,
                        "modeName": "3072x2048x30p",
                        "overscan": false,
                        "preferred": false,
                        "width": 3072
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 30,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1720,
                        "height": 1440,
                        "interlaced": false,
                        "modeName": "3440x1440x30p",
                        "overscan": false,
                        "preferred": false,
                        "width": 3440
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 50,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1720,
                        "height": 1440,
                        "interlaced": false,
                        "modeName": "3440x1440x50p",
                        "overscan": false,
                        "preferred": false,
                        "width": 3440
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1720,
                        "height": 1440,
                        "interlaced": false,
                        "modeName": "3440x1440x60p",
                        "overscan": false,
                        "preferred": false,
                        "width": 3440
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 50,
                        "graphicsPlaneHeight": 576,
                        "graphicsPlaneWidth": 720,
                        "height": 576,
                        "interlaced": false,
                        "modeName": "720x576x50p",
                        "overscan": true,
                        "preferred": false,
                        "width": 720
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 60,
                        "graphicsPlaneHeight": 480,
                        "graphicsPlaneWidth": 720,
                        "height": 480,
                        "interlaced": false,
                        "modeName": "720x480x59.94p",
                        "overscan": true,
                        "preferred": false,
                        "width": 720
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 480,
                        "graphicsPlaneWidth": 720,
                        "height": 480,
                        "interlaced": false,
                        "modeName": "720x480x60p",
                        "overscan": true,
                        "preferred": false,
                        "width": 720
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 24,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1280,
                        "height": 720,
                        "interlaced": false,
                        "modeName": "1280x720x24p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 24,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1280,
                        "height": 720,
                        "interlaced": false,
                        "modeName": "1280x720x23.976p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 25,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1280,
                        "height": 720,
                        "interlaced": false,
                        "modeName": "1280x720x25p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 50,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1280,
                        "height": 720,
                        "interlaced": false,
                        "modeName": "1280x720x50p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 60,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1280,
                        "height": 720,
                        "interlaced": false,
                        "modeName": "1280x720x59.94p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 720,
                        "graphicsPlaneWidth": 1280,
                        "height": 720,
                        "interlaced": false,
                        "modeName": "1280x720x60p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1280
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 25,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": true,
                        "modeName": "1920x1080x50i",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 30,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": true,
                        "modeName": "1920x1080x59.94i",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 30,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": true,
                        "modeName": "1920x1080x60i",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 24,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "1920x1080x24p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 24,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "1920x1080x23.976p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 25,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "1920x1080x25p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 30,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "1920x1080x29.97p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 30,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "1920x1080x30p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 50,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "1920x1080x50p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "1920x1080x59.94p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "1920x1080x60p",
                        "overscan": true,
                        "preferred": false,
                        "width": 1920
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 360,
                        "graphicsPlaneWidth": 1440,
                        "height": 720,
                        "interlaced": false,
                        "modeName": "2880x720x60p",
                        "overscan": true,
                        "preferred": false,
                        "width": 2880
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 300,
                        "graphicsPlaneWidth": 1920,
                        "height": 600,
                        "interlaced": false,
                        "modeName": "3840x600x60p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 25,
                        "graphicsPlaneHeight": 540,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "3840x1080x25p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 30,
                        "graphicsPlaneHeight": 540,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "3840x1080x30p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 30,
                        "graphicsPlaneHeight": 600,
                        "graphicsPlaneWidth": 1920,
                        "height": 1200,
                        "interlaced": false,
                        "modeName": "3840x1200x30p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 24,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "3840x2160x23.976p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 24,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "3840x2160x24p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 25,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "3840x2160x25p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 30,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "3840x2160x29.97p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 30,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "3840x2160x30p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 50,
                        "graphicsPlaneHeight": 540,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "3840x1080x50p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 540,
                        "graphicsPlaneWidth": 1920,
                        "height": 1080,
                        "interlaced": false,
                        "modeName": "3840x1080x60p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 600,
                        "graphicsPlaneWidth": 1920,
                        "height": 1200,
                        "interlaced": false,
                        "modeName": "3840x1200x60p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "yuv420",
                        "dropFrame": false,
                        "frequency": 50,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "3840x2160x50p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "yuv420",
                        "dropFrame": true,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "3840x2160x59.94p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "yuv420",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 1920,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "3840x2160x60p",
                        "overscan": true,
                        "preferred": false,
                        "width": 3840
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 24,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 2048,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "4096x2160x23.976p",
                        "overscan": true,
                        "preferred": false,
                        "width": 4096
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 24,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 2048,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "4096x2160x24p",
                        "overscan": true,
                        "preferred": false,
                        "width": 4096
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 25,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 2048,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "4096x2160x25p",
                        "overscan": true,
                        "preferred": false,
                        "width": 4096
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": true,
                        "frequency": 30,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 2048,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "4096x2160x29.97p",
                        "overscan": true,
                        "preferred": false,
                        "width": 4096
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "rgb",
                        "dropFrame": false,
                        "frequency": 30,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 2048,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "4096x2160x30p",
                        "overscan": true,
                        "preferred": false,
                        "width": 4096
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "yuv420",
                        "dropFrame": false,
                        "frequency": 50,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 2048,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "4096x2160x50p",
                        "overscan": true,
                        "preferred": false,
                        "width": 4096
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "yuv420",
                        "dropFrame": true,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 2048,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "4096x2160x59.94p",
                        "overscan": true,
                        "preferred": false,
                        "width": 4096
                    },
                    {
                        "colorDepth": "8bit",
                        "colorSpace": "yuv420",
                        "dropFrame": false,
                        "frequency": 60,
                        "graphicsPlaneHeight": 1080,
                        "graphicsPlaneWidth": 2048,
                        "height": 2160,
                        "interlaced": false,
                        "modeName": "4096x2160x60p",
                        "overscan": true,
                        "preferred": false,
                        "width": 4096
                    }
                ]
            },
            "activeMode": {
                "result": {
                    "colorDepth": "8bit",
                    "colorSpace": "rgb",
                    "dropFrame": false,
                    "frequency": 60,
                    "graphicsPlaneHeight": 1080,
                    "graphicsPlaneWidth": 1920,
                    "height": 1080,
                    "interlaced": false,
                    "modeName": "1920x1080x60p",
                    "overscan": true,
                    "preferred": false,
                    "width": 1920
                }
            },
            "configuredMode": {
                "result": null
            },
            "bestMode": {
                "result": "1920x1080x60p"
            },
            "powerSaveStatus": {
                "result": false
            }
        }
    }
}
```
:::

## GET /video/\{:connector}/output/\{:device}/edid/ 

Returns the EDID information from a compatible monitor/television connected to the video output

**Segments**

- `connector`: The current value is always `hdmi`
- `device`: This value in /video/ URLs is currently `0` for single-output Series 5 players and all Series 4 and older players. The value can be `0`-`3` for the XC4055, which has multiple outputs, and `0` or `1` for the XC2055 and XT2145.

**Request Example**

```text
GET /rest/v1/video/hdmi/output/0/edid/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Response Body**

- `result` <font color="#704ae0">string</font>: The EDID string result

**Response Example**

```json
{
    "route": "/v1/video/hdmi/output/0/edid",
    "method": "GET",
    "data": {
        "result": "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"
    }
}
```

## GET /video/\{:connector}/output/\{:device}/power-save/ 

Retrieves the power status of the monitor connected to the player (as reported over EDID)

**Segments**

- `connector`: The current value is always `hdmi`
- `device`: This value in /video/ URLs is currently `0` for single-output Series 5 players and all Series 4 and older players. The value can be `0`-`3` for the XC4055, which has multiple outputs, and `0` or `1` for the XC2055 and XT2145.

**Request Example**

```text
GET /rest/v1/video/hdmi/output/0/power-save/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Response Body**

- `is_connected` <font color="#704ae0">bool</font>: Indicates whether the monitor is connected to the HDMI output on the player
- `is_powered` <font color="#704ae0">bool</font>: Indicates whether the monitor is on (for example, RX powered) 
- `enabled` <font color="#704ae0">bool</font>: Indicates whether power-save mode has been enabled on the HDMI/VGA output

**Response Example**

```json
{
    "route": "/v1/video/hdmi/output/0/power-save/",
    "method": "GET",
    "data": {
        "result": {
            "is_connected": true,
            "is_powered": true,
            "enabled": false
        }
    }
}
```

## PUT /video/\{:connector}/output/\{:device}/power-save/ 

Enables or disables power-save mode on the monitor connected to the player (via HDMI, VGA, or Component)

**Segments**

- `connector`: The current value is always `hdmi`
- `device`: This value in /video/ URLs is currently `0` for single-output Series 5 players and all Series 4 and older players. The value can be `0`-`3` for the XC4055, which has multiple outputs, and `0` or `1` for the XC2055 and XT2145.

**Request Body Parameters**

- `enabled` <font color="#704ae0">bool</font>:  Whether or not power save is enabled 

**Request Example**

```text
PUT /rest/v1/video/hdmi/output/0/power-save/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Content-Type: application/json
Content-Length: 51
```

This is the example request body:

```json
{
    "data": {
        "enabled": true
    }
}
```

**Response Body**

The server will return a success or error message

**Response Example**

```json
{
    "data": {
        "result": true
    },
    "route": "/v1/video/hdmi/output/0/power-save",
    "method": "PUT"
}
```

## GET  /video/\{:connector}/output/\{:device}/modes/ 

Retrieves all available video modes on the specified video output

**Segments**

- `connector`: The current value is always `hdmi`
- `device`: This value in /video/ URLs is currently `0` for single-output Series 5 players and all Series 4 and older players. The value can be `0`-`3` for the XC4055, which has multiple outputs, and `0` or `1` for the XC2055 and XT2145.

**Request Example**

```text
GET /rest/v1/video/hdmi/output/0/modes/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
```

**Response Body**

Returns an array of video mode objects, each of which contain the following parameters:

- `modeName` <font color="#704ae0">string</font>: The mode (for example, “1920x1080x60p”)
- `colorDepth` <font color="#704ae0">string</font>: The color depth of the video signal
- `colorSpace` <font color="#704ae0">string</font>: The color space of the video signal ("rgb", "yuv420", or "yuv422")
- `dropFrame` <font color="#704ae0">bool</font>: Whether or not the video timecode uses drop frame
- `frequency` <font color="#704ae0">int</font>: The frame rate of the video output
- `width` <font color="#704ae0">int</font>: The width of the video output
- `height` <font color="#704ae0">int</font>: The height of the video output
- `graphicsPlaneWidth` <font color="#704ae0">int</font>: The width of the graphics plane
- `graphicsPlaneHeight` <font color="#704ae0">int</font>: The height of the graphics plane
- `interlaced` <font color="#704ae0">bool</font>:  Whether or not the video output is interlaced
- `overscan` <font color="#704ae0">bool</font>: Whether or not the video output is using an overscan setting or not
- `preferred` <font color="#704ae0">bool</font>: Whether or not video is the preferred mode

**Response Example**

:::ExpandableHeading
Expand

```text
{
    "route": "/v1/video/hdmi/output/0/modes/",
    "method": "GET",
    "data": {
        "result": [
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 480,
                "graphicsPlaneWidth": 640,
                "height": 480,
                "interlaced": false,
                "modeName": "640x480x60p",
                "overscan": false,
                "preferred": false,
                "width": 640
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": true,
                "frequency": 30,
                "graphicsPlaneHeight": 480,
                "graphicsPlaneWidth": 720,
                "height": 480,
                "interlaced": true,
                "modeName": "720x480x60i",
                "overscan": true,
                "preferred": false,
                "width": 720
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 25,
                "graphicsPlaneHeight": 576,
                "graphicsPlaneWidth": 720,
                "height": 576,
                "interlaced": true,
                "modeName": "720x576x50i",
                "overscan": true,
                "preferred": false,
                "width": 720
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 480,
                "graphicsPlaneWidth": 848,
                "height": 480,
                "interlaced": false,
                "modeName": "848x480x60p",
                "overscan": false,
                "preferred": false,
                "width": 848
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 600,
                "graphicsPlaneWidth": 800,
                "height": 600,
                "interlaced": false,
                "modeName": "800x600x60p",
                "overscan": false,
                "preferred": false,
                "width": 800
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 75,
                "graphicsPlaneHeight": 600,
                "graphicsPlaneWidth": 800,
                "height": 600,
                "interlaced": false,
                "modeName": "800x600x75p",
                "overscan": false,
                "preferred": false,
                "width": 800
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 960,
                "graphicsPlaneWidth": 960,
                "height": 960,
                "interlaced": false,
                "modeName": "960x960x60p",
                "overscan": false,
                "preferred": false,
                "width": 960
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 768,
                "graphicsPlaneWidth": 1024,
                "height": 768,
                "interlaced": false,
                "modeName": "1024x768x60p",
                "overscan": false,
                "preferred": false,
                "width": 1024
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 75,
                "graphicsPlaneHeight": 768,
                "graphicsPlaneWidth": 1024,
                "height": 768,
                "interlaced": false,
                "modeName": "1024x768x75p",
                "overscan": false,
                "preferred": false,
                "width": 1024
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 768,
                "graphicsPlaneWidth": 1280,
                "height": 768,
                "interlaced": false,
                "modeName": "1280x768x60p",
                "overscan": false,
                "preferred": false,
                "width": 1280
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 800,
                "graphicsPlaneWidth": 1280,
                "height": 800,
                "interlaced": false,
                "modeName": "1280x800x60p",
                "overscan": false,
                "preferred": false,
                "width": 1280
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 75,
                "graphicsPlaneHeight": 800,
                "graphicsPlaneWidth": 1280,
                "height": 800,
                "interlaced": false,
                "modeName": "1280x800x75p",
                "overscan": false,
                "preferred": false,
                "width": 1280
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 768,
                "graphicsPlaneWidth": 1360,
                "height": 768,
                "interlaced": false,
                "modeName": "1360x768x60p",
                "overscan": false,
                "preferred": false,
                "width": 1360
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 1280,
                "graphicsPlaneWidth": 800,
                "height": 1280,
                "interlaced": false,
                "modeName": "800x1280x60p",
                "overscan": false,
                "preferred": false,
                "width": 800
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 1920,
                "graphicsPlaneWidth": 1200,
                "height": 1920,
                "interlaced": false,
                "modeName": "1200x1920x60p",
                "overscan": false,
                "preferred": false,
                "width": 1200
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 768,
                "graphicsPlaneWidth": 1366,
                "height": 768,
                "interlaced": false,
                "modeName": "1366x768x60p",
                "overscan": false,
                "preferred": false,
                "width": 1366
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 960,
                "graphicsPlaneWidth": 1280,
                "height": 960,
                "interlaced": false,
                "modeName": "1280x960x60p",
                "overscan": false,
                "preferred": false,
                "width": 1280
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 1024,
                "graphicsPlaneWidth": 1280,
                "height": 1024,
                "interlaced": false,
                "modeName": "1280x1024x60p",
                "overscan": false,
                "preferred": false,
                "width": 1280
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 75,
                "graphicsPlaneHeight": 1024,
                "graphicsPlaneWidth": 1280,
                "height": 1024,
                "interlaced": false,
                "modeName": "1280x1024x75p",
                "overscan": false,
                "preferred": false,
                "width": 1280
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 900,
                "graphicsPlaneWidth": 1440,
                "height": 900,
                "interlaced": false,
                "modeName": "1440x900x60p",
                "overscan": false,
                "preferred": false,
                "width": 1440
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 75,
                "graphicsPlaneHeight": 900,
                "graphicsPlaneWidth": 1440,
                "height": 900,
                "interlaced": false,
                "modeName": "1440x900x75p",
                "overscan": false,
                "preferred": false,
                "width": 1440
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 1050,
                "graphicsPlaneWidth": 1400,
                "height": 1050,
                "interlaced": false,
                "modeName": "1400x1050x60p",
                "overscan": false,
                "preferred": false,
                "width": 1400
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 75,
                "graphicsPlaneHeight": 1050,
                "graphicsPlaneWidth": 1400,
                "height": 1050,
                "interlaced": false,
                "modeName": "1400x1050x75p",
                "overscan": false,
                "preferred": false,
                "width": 1400
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 1080,
                "graphicsPlaneWidth": 1440,
                "height": 1080,
                "interlaced": false,
                "modeName": "1440x1080x60p",
                "overscan": false,
                "preferred": false,
                "width": 1440
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 1088,
                "graphicsPlaneWidth": 1440,
                "height": 1088,
                "interlaced": false,
                "modeName": "1440x1088x57p",
                "overscan": false,
                "preferred": false,
                "width": 1440
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 30,
                "graphicsPlaneHeight": 1024,
                "graphicsPlaneWidth": 768,
                "height": 2048,
                "interlaced": false,
                "modeName": "1536x2048x30p",
                "overscan": false,
                "preferred": false,
                "width": 1536
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 900,
                "graphicsPlaneWidth": 1600,
                "height": 900,
                "interlaced": false,
                "modeName": "1600x900x60p",
                "overscan": false,
                "preferred": false,
                "width": 1600
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 1200,
                "graphicsPlaneWidth": 1600,
                "height": 1200,
                "interlaced": false,
                "modeName": "1600x1200x60p",
                "overscan": false,
                "preferred": false,
                "width": 1600
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 1050,
                "graphicsPlaneWidth": 1680,
                "height": 1050,
                "interlaced": false,
                "modeName": "1680x1050x60p",
                "overscan": false,
                "preferred": false,
                "width": 1680
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 1296,
                "graphicsPlaneWidth": 1728,
                "height": 1296,
                "interlaced": false,
                "modeName": "1728x1296x60p",
                "overscan": false,
                "preferred": false,
                "width": 1728
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 540,
                "graphicsPlaneWidth": 1920,
                "height": 540,
                "interlaced": false,
                "modeName": "1920x540x60p",
                "overscan": false,
                "preferred": false,
                "width": 1920
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 50,
                "graphicsPlaneHeight": 1200,
                "graphicsPlaneWidth": 1920,
                "height": 1200,
                "interlaced": false,
                "modeName": "1920x1200x50p",
                "overscan": false,
                "preferred": false,
                "width": 1920
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 1200,
                "graphicsPlaneWidth": 1920,
                "height": 1200,
                "interlaced": false,
                "modeName": "1920x1200x60p",
                "overscan": false,
                "preferred": false,
                "width": 1920
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 672,
                "graphicsPlaneWidth": 896,
                "height": 1344,
                "interlaced": false,
                "modeName": "1792x1344x60p",
                "overscan": false,
                "preferred": false,
                "width": 1792
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 960,
                "graphicsPlaneWidth": 960,
                "height": 1920,
                "interlaced": false,
                "modeName": "1920x1920x60p",
                "overscan": false,
                "preferred": false,
                "width": 1920
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 50,
                "graphicsPlaneHeight": 576,
                "graphicsPlaneWidth": 1024,
                "height": 1152,
                "interlaced": false,
                "modeName": "2048x1152x50p",
                "overscan": false,
                "preferred": false,
                "width": 2048
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 576,
                "graphicsPlaneWidth": 1024,
                "height": 1152,
                "interlaced": false,
                "modeName": "2048x1152x60p",
                "overscan": false,
                "preferred": false,
                "width": 2048
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 288,
                "graphicsPlaneWidth": 2376,
                "height": 288,
                "interlaced": false,
                "modeName": "2376x288x60p",
                "overscan": false,
                "preferred": false,
                "width": 2376
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 800,
                "graphicsPlaneWidth": 2560,
                "height": 800,
                "interlaced": false,
                "modeName": "2560x800x60p",
                "overscan": false,
                "preferred": false,
                "width": 2560
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 480,
                "graphicsPlaneWidth": 1280,
                "height": 960,
                "interlaced": false,
                "modeName": "2560x960x60p",
                "overscan": false,
                "preferred": false,
                "width": 2560
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 540,
                "graphicsPlaneWidth": 1280,
                "height": 1080,
                "interlaced": false,
                "modeName": "2560x1080x60p",
                "overscan": false,
                "preferred": false,
                "width": 2560
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 30,
                "graphicsPlaneHeight": 720,
                "graphicsPlaneWidth": 1280,
                "height": 1440,
                "interlaced": false,
                "modeName": "2560x1440x30p",
                "overscan": false,
                "preferred": false,
                "width": 2560
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 720,
                "graphicsPlaneWidth": 1280,
                "height": 1440,
                "interlaced": false,
                "modeName": "2560x1440x60p",
                "overscan": false,
                "preferred": false,
                "width": 2560
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 800,
                "graphicsPlaneWidth": 1280,
                "height": 1600,
                "interlaced": false,
                "modeName": "2560x1600x60p",
                "overscan": false,
                "preferred": false,
                "width": 2560
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 30,
                "graphicsPlaneHeight": 1024,
                "graphicsPlaneWidth": 1536,
                "height": 2048,
                "interlaced": false,
                "modeName": "3072x2048x30p",
                "overscan": false,
                "preferred": false,
                "width": 3072
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 30,
                "graphicsPlaneHeight": 720,
                "graphicsPlaneWidth": 1720,
                "height": 1440,
                "interlaced": false,
                "modeName": "3440x1440x30p",
                "overscan": false,
                "preferred": false,
                "width": 3440
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 50,
                "graphicsPlaneHeight": 720,
                "graphicsPlaneWidth": 1720,
                "height": 1440,
                "interlaced": false,
                "modeName": "3440x1440x50p",
                "overscan": false,
                "preferred": false,
                "width": 3440
            },
            {
                "colorDepth": "8bit",
                "colorSpace": "rgb",
                "dropFrame": false,
                "frequency": 60,
                "graphicsPlaneHeight": 720,
                "graphicsPlaneWidth": 1720,
                "height": 1440,
                "interlaced": false,
                "modeName": "3440x1440x60p",
                "overscan": false,
                "preferred": false,
                "width": 3440
[...]
